VEDO(1)

NAME
vedo - Visualization, analysis and animation of 3D objects and point clouds in VTK files.

SYNOPSIS

vedo [-h] [-c] [-a] [-w] [-p] [-k] [-x] [-i] [-l] [-f] [-bg] [-z] [-q] [-n] [-s] [-g] [-gz] [-gy] [--slicer] [files [files ...]]

DESCRIPTION

This manual page documents briefly the vedo command.

This manual page was written for the Debian distribution because the original program does not have a manual page.

vedo is a program that plots and visualises VTK files.

OPTIONS

files
    Input filename(s)

-c, --color
    mesh color [integer or color name]

-a, --alpha
    alpha value [0-1]

-w, --wireframe
    use wireframe representation

-p, --point-size
    specify point size

-e, --showedges
    show a thin line on mesh edges

-k, --lighting
    metallic, plastic, shiny or glossy

-K, --flat
    use flat shading

-x, --axes-type
    specify axes type [0-5] (default=4)

-i, --no-camera-share
    do not share camera in renderers

-l, --legend-off
    do not show legends

-f, --full-screen
    full screen mode

-bg, --background
    background color [integer or color name]

--background-grad
    use background color gradient

-z, --zoom
    zooming factor

-q, --quiet
    quiet mode, less verbose

-n, --multirenderer-mode
    Multi renderer Mode: files go to separate renderers

-s, --scrolling-mode
    Scrolling Mode: use arrows to scroll files

-g, --ray-cast-mode
    GPU Ray-casting Mode for 3D image files

-gx, --x-spacing
    Volume x-spacing factor [1]

-gy, --y-spacing
    Volume y-spacing factor [1]

-gz, --z-spacing
    Volume z-spacing factor [1]

--slicer
    Slicer Mode for 3D image files

--lego
    Voxel rendering for 3D image files

--cmap
    Voxel rendering color map name (default='jet')

--mode
    Voxel rendering composite mode (default=0)

-r, --run
    Run example from vedo-examples

--list
    List examples in vedo-examples

-h, --help
    show help message and exit

SEE ALSO

vedo(1)

The programs are documented fully at https://vedo.embl.es/.

AUTHOR

Drew Parsons <dparsons@debian.org>
    Wrote this manpage for the Debian system.

COPYRIGHT
Copyright © 2019 Drew Parsons

This manual page was written for the Debian system (and may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the MIT License.

On Debian systems, the complete text of the MIT License can be found in /usr/share/doc/python3-vedo/copyright.